import request from '@/utils/request'

// 查询检查工作信息列表
export function listInfo(query) {
  return request({
    url: '/basicData/xcrCheckWorkInfo/findByPage',
    method: 'get',
    params: query
  })
}

// 查询检查工作信息详细
export function getInfo(xhCodeId) {
  return request({
    url: '/basicData/xcrCheckWorkInfo/' + xhCodeId,
    method: 'get'
  })
}

// 新增检查工作信息
export function addInfo(data) {
  return request({
    url: '/basicData/xcrCheckWorkInfo',
    method: 'post',
    data: data
  })
}

// 修改检查工作信息
export function updateInfo(data) {
  return request({
    url: '/basicData/xcrCheckWorkInfo',
    method: 'put',
    data: data
  })
}

// 删除检查工作信息
export function delInfo(xhCodeId) {
  return request({
    url: '/basicData/xcrCheckWorkInfo/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
  return request.post('/basicData/xcrCheckWorkInfo/delete',ids)
}
